difference), etc.
Description

In diffs (and other places): include better navigation.

The benefit: one does not always have to move back to this page

Example:

 nav.PNG 

The arrows should be links! Explanation:

 nav_expl.PNG 

It should also be easier to go to diffs from pages like this.

Related issues:

Related to Redmine - Feature #14816: Diff: in repository/diff - Include Links... New

Related to Redmine - Feature #14820: Repository: Show which rev introduced ch... New

History

#1 - 2013-09-02 17:28 - Friedrich Schiller

The image explanation, states in red: move diff-number forward.

This means: move to the next version that introduces an actual difference (don't blindly move to the next number).

#2 - 2013-09-02 22:09 - Friedrich Schiller

Here's an example for determining revisions that actually introduce changes:

Consider Revision 516: 570 trunk/app/controllers/account_controller.rb

Here we should display the versions that introduced the actual differences...

Maby like this: Revision 514(516): 567(570) trunk/app/controllers/account_controller.rb

How do we determine 514 and 567?

When was trunk/app/controllers/account_controller.rb@ 516 last changed?

svn info http://svn.redmine.org/redmine/trunk/app/controllers/account_controller.rb@516 | grep -e "^Last Chang

ed Rev: " | cut -c19-

...this gives us 514.   

When was trunk/app/controllers/account_controller.rb@ 570 last changed?

svn info http://svn.redmine.org/redmine/trunk/app/controllers/account_controller.rb@570 | grep -e "^Last Chang

ed Rev: " | cut -c19-

...this gives us 567.   

Redmine should show which version introduced the changes.
http://www.redmine.org/projects/redmine/repository/changes/trunk/app/controllers/account_controller.rb
http://www.redmine.org/projects/redmine/repository/revisions/514/entry/trunk/app/controllers/account_controller.rb
http://www.redmine.org/projects/redmine/repository/diff/trunk/app/controllers/account_controller.rb?utf8=%E2%9C%93&rev=570&rev_to=516
http://www.redmine.org/projects/redmine/repository/diff/trunk/app/controllers/account_controller.rb?utf8=%E2%9C%93&rev=570&rev_to=516
http://www.redmine.org/projects/redmine/repository/diff/trunk/app/controllers/account_controller.rb?utf8=%E2%9C%93&rev=570&rev_to=516
http://www.redmine.org/projects/redmine/repository/diff/trunk/app/controllers/account_controller.rb?utf8=%E2%9C%93&rev=570&rev_to=516
http://www.redmine.org/projects/redmine/repository/diff/trunk/app/controllers/account_controller.rb?utf8=%E2%9C%93&rev=570&rev_to=516
http://www.redmine.org/projects/redmine/repository/revisions/516/entry/trunk/app/controllers/account_controller.rb
http://www.redmine.org/projects/redmine/repository/revisions/516/entry/trunk/app/controllers/account_controller.rb
http://www.redmine.org/projects/redmine/repository/revisions/570/entry/trunk/app/controllers/account_controller.rb
http://www.redmine.org/projects/redmine/repository/revisions/570/entry/trunk/app/controllers/account_controller.rb


To determine versions prior to 514 (that introduced changes) use:

svn log -q http://svn.redmine.org/redmine/trunk/app/controllers/account_controller.rb@514 -l 5 -r 513:1 | grep

 -E -e "^r[[:digit:]]+" -o | cut -c2-

...this gives us 333, 236, 200, 175, 167

(Note that -l 5 limits the output to 5 versions)    

To determine versions after to 567 (that introduced changes) use:

svn log -q http://svn.redmine.org/redmine/trunk/app/controllers/account_controller.rb@567 -l 5 -r 568:HEAD | g

rep -E -e "^r[[:digit:]]+" -o | cut -c2-

...this gives us 600, 601, 622, 674, 760

(Note that -l 5 limits the output to 5 versions)    

To determine versions between 514 and 567 (that introduced changes) use:

svn log -q http://svn.redmine.org/redmine/trunk/app/controllers/account_controller.rb@514 -l 5 -r 515:566 | gr

ep -E -e "^r[[:digit:]]+" -o | cut -c2-

...this gives us "" (Empty output: thus there are no versions between 514 and 567 [that introduce changes]).    

Thus any navigation should show us the versions that actually introduced changes. If we happen to land on a version that does not introduce

changes, the put it in brackets and show that "Last Changed Rev".

#3 - 2013-09-02 22:13 - Friedrich Schiller

Summary for the above: the changeset from *516*: 570 is equivalent with the changeset *514*: 567 (for path

trunk/app/controllers/account_controller.rb)

#4 - 2013-09-10 05:21 - Toshi MARUYAMA

- Category set to SCM

#5 - 2013-09-10 05:21 - Toshi MARUYAMA

- Related to Feature #14816: Diff: in repository/diff - Include Links to repository/changes and repository/revisions added

#6 - 2013-09-17 02:24 - Toshi MARUYAMA

- Related to Feature #14820: Repository: Show which rev introduced changes ("Last Changed Rev") added

Files

nav.PNG 19.6 KB 2013-09-02 Friedrich Schiller

nav_expl.PNG 21.7 KB 2013-09-02 Friedrich Schiller
http://www.redmine.org/projects/redmine/repository/diff/trunk/app/controllers/account_controller.rb?utf8=%E2%9C%93&rev=570&rev_to=516
http://www.redmine.org/projects/redmine/repository/diff/trunk/app/controllers/account_controller.rb?utf8=%E2%9C%93&rev=570&rev_to=516
http://www.redmine.org/projects/redmine/repository/diff/trunk/app/controllers/account_controller.rb?utf8=%E2%9C%93&rev=567&rev_to=514
http://www.redmine.org/projects/redmine/repository/diff/trunk/app/controllers/account_controller.rb?utf8=%E2%9C%93&rev=567&rev_to=514
